# == Class: etckeeper::params
#
# This is a container class holding default parameters for etckeeper module.
#
class etckeeper::params {
  $etckeeper_config = '/etc/etckeeper/etckeeper.conf'
  $etckeeper_cron   = '/etc/cron.daily/etckeeper'

  case $::operatingsystem {
    /(?i:debian|devuan|ubuntu)/: {
      $etckeeper_package_name = 'etckeeper'
      $etckeeper_service_name = 'etckeeper'
    }
    /(?i:centos|fedora|redhat)/: {
      $etckeeper_package_name = 'etckeeper'
      $etckeeper_service_name = 'etckeeper'
    }
    default                    : {
      fail("Module ${module_name} is not supported on ${::operatingsystem}")
    }
  }
}
# EOF
