# -*- ruby -*-

require 'serverspec'

set :backend, :exec

describe 'Package' do
  describe package('etckeeper') do
    it { should be_installed }
  end
end

describe 'Configuration file (etckeeper.conf)' do
  describe file('/etc/etckeeper/etckeeper.conf') do
    it { should exist }
    it { should be_owned_by 'root' }
    it { should be_grouped_into 'root' }
    it { should be_mode 644 }
    it { should contain 'AVOID_SPECIAL_FILE_WARNING=1' }
  end
end

describe 'Cron file (etckeeper)' do
  describe file('/etc/cron.daily/etckeeper') do
    it { should exist }
    it { should be_owned_by 'root' }
    it { should be_grouped_into 'root' }
    it { should be_mode 755 }
    it { should contain 'AVOID_SPECIAL_FILE_WARNING=1' }
  end
end

describe 'Directory (.git)' do
  describe file('/etc/.git') do
    it { should exist }
    it { should be_directory }
    it { should be_owned_by 'root' }
    it { should be_grouped_into 'root' }
    it { should be_mode 700 }
  end
end
# EOF
